<?xml version="1.0"?>
<Template originator   = "Ben Motmans" 
          created      = "02/16/2005"
          lastModified = "02/16/2005">
	
	<!-- Template Header -->
	<TemplateConfiguration>
		<_Name>Gtk# 2.0 Project</_Name>
		<_Category>VBNet</_Category>
		<Icon>md-project-gui|res:vb-icon-32.png</Icon>
		<LanguageName>VBNet</LanguageName>
		<_Description>Creates a VB.NET Gtk# 2.0 project.</_Description>
	</TemplateConfiguration>

	<!-- Actions -->
	<Actions>
		<Open filename = "Main.vb"/>
	</Actions>
	
	<!-- Template Content -->
	<Combine name = "${ProjectName}" directory = ".">
		<Options>
			<StartupProject>${ProjectName}</StartupProject>
		</Options>
		
		<Project name = "${ProjectName}" directory = ".">
			<Options/>
			
			<References>
				<Reference type="Gac" refto="gtk-sharp, Version=2.4.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
				<Reference type="Gac" refto="gdk-sharp, Version=2.4.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
				<Reference type="Gac" refto="glib-sharp, Version=2.4.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
				<Reference type="Gac" refto="glade-sharp, Version=2.4.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
				<Reference type="Gac" refto="pango-sharp, Version=2.4.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
			</References>
		
			<Files>
				<File name="Main.vb" AddStandardHeader="True"><![CDATA[Imports System
Imports Gtk

Public Class MainClass

	Public Shared Sub Main ()
		Application.Init ()
		Dim win as new MyWindow ()
		win.Show ()
		Application.Run ()
	End Sub
	
End Class]]></File>
			<File name="MyWindow.vb" AddStandardHeader="True"><![CDATA[Imports System
Imports Gtk

Public Class MyWindow
	Inherits Window
	
	Public Sub New ()
		 MyBase.New("MyWindow")
		 
		 Me.SetDefaultSize (400, 300)
		 AddHandler MyBase.DeleteEvent, AddressOf OnMyWindowDelete
		 Me.ShowAll ()
	End Sub
	
	Private Sub OnMyWindowDelete (ByVal sender As Object, ByVal a As DeleteEventArgs)
		Application.Quit ()
		a.RetVal = true
	End Sub
	
End Class]]></File>
			<FileTemplateReference TemplateID="VBAssemblyInfo" name="AssemblyInfo.vb" />
			</Files>
		</Project>
	</Combine>
</Template>
